<?php

namespace OrganizationsManagement\Service;

use Doctrine\ORM\EntityManager;
use OrganizationsManagement\Repository\CollectionErrors as CollectionErrorsRepository;
use OrganizationsManagement\Util\InstanceProvider;

class CollectionErrors
{
    /**
     * @var CollectionErrorsRepository
     */
    private $collectionErrorsRepository;

    /**
     * @param CollectionErrorsRepository $collectionErrorsRepository
     */
    public function __construct(CollectionErrorsRepository $collectionErrorsRepository)
    {
        $this->collectionErrorsRepository = $collectionErrorsRepository;
    }

    public function find()
    {
        return $this->collectionErrorsRepository->getCollectionErros();
    }
}
